PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cswptr_ontile | ( | PLASMA_desc | descA,
|  | int | i1,
|  | int | i2,
|  | const int * | ipiv,
|  | int | inc,
|  | const PLASMA_Complex32_t * | Akk,
|  | int | ldak
| ) |  |

CORE_cswptr_ontile apply the claswp function on a matrix stored in tile layout, followed by a ctrsm on the first tile of the panel.

Parameters

  [in,out] | descA | The descriptor of the matrix A to permute.
  [in] | i1 | The first element of IPIV for which a row interchange will be done.
  [in] | i2 | The last element of IPIV for which a row interchange will be done.
  [in] | ipiv | The pivot indices; Only the element in position i1 to i2 are accessed. The pivot are offset by A.i.
  [in] | inc | The increment between successive values of IPIV. If IPIV is negative, the pivots are applied in reverse order.
  [in] | Akk | The triangular matrix Akk. The leading descA.nb-by-descA.nb lower triangular part of the array Akk contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced. The diagonal elements of A are also not referenced and are assumed to be 1.
  [in] | ldak | The leading dimension of the array Akk. ldak >= max(1,descA.nb).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value